+ Reply
Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone 2G doesn't work with some apps.

is a discussion within the

General iPhone Chat

forums, a part of the

iPhone Modding

section;
I've got this iPhone 2G and i'd like to install Facebook's app, Instagram and Whatsapp, but facebook won't let me install because it asks for firmware 4 or above. Is
...
  1. #1
    Green Apple
    Join Date
    Jun 2007
    Location
    MX
    Posts
    40
    Thanks
    18
    Thanked 1 Time in 1 Post
    Default iPhone 2G doesn't work with some apps.
    I've got this iPhone 2G and i'd like to install Facebook's app, Instagram and Whatsapp, but facebook won't let me install because it asks for firmware 4 or above.

    Is there any link to a working facebook app for old iphones? and of course, Instagram and Whatsapp.

    If there's a thread with this theme, please link me to it cause i tried search button with no luck.

  2. #2
    What's Jailbreak?
    Join Date
    Jan 2012
    Posts
    10
    Thanks
    0
    Thanked 0 Times in 0 Posts

    Whatsapp will work, i have it working on my iphone 2g with whited00r os 5.2.1

    about instagram, well you should be going for the older versions,
    The best working facebook app for iphone 2g on ios 3.1.3 is 3.3.0, you could also try 4.0 but not any higher than 4, because they are not designed for ios 3, as we all know that apple as well as other companies have dropped support for ios 3.x

  3. #3
    My iPhone is a Part of Me
    Join Date
    Nov 2008
    Posts
    627
    Thanks
    21
    Thanked 36 Times in 35 Posts

    Think the problem being how does he install the old versions unless he has them on his iTunes. The AppStore only carries the latest version. There are ways round this but it involves what is essentially piracy even if they're free apps

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts